NET_FreeLocalAddresses(3)

NAME
NET_FreeLocalAddresses - Free the results from NET_GetLocalAddresses.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

void NET_FreeLocalAddresses(NET_Address **addresses);

DESCRIPTION
This will unref all addresses in the array and free the array itself.

Since addresses are reference counted, it is safe to keep any addresses you want from this array even after calling this function, as long as you called NET_RefAddress() on them first.

It is safe to pass a NULL in here, it will be ignored.

FUNCTION PARAMETERS

addresses
    A pointer returned by NET_GetLocalAddresses().

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.